Bug #6351

<br /> seen in UI errors when multiple errors exist on a resource

Added by Dominic Cleal almost 4 years ago. Updated almost 4 years ago.

Status:Duplicate
Priority:Normal
Assigned To:-
Category:Web Interface
Target version:-
Difficulty: Bugzilla link:
Found in release: Pull request:
Story points-
Velocity based estimate-

Description

When multiple errors exist on a resource, particularly when deleting (try deleting a subnet that is used by multiple hosts and host groups, since #6216), you get error messages appear such as:

libvirt (192.168.122.0/24) is used by imagetest2.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by hammer2.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by hammer1.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by api5.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by wstest.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by cclient2.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by libvirt&lt;br/&gt;libvirt (192.168.122.0/24) is used by example.com

Due to the recent CVE fix in #5881.


Related issues

Related to Foreman - Bug #5881: CVE-2014-3491 - XSS from create/update/destroy notificati... Closed 05/22/2014
Duplicates Foreman - Bug #6402: Using "run puppet" feature fails: undefined method `gsub'... Closed 06/26/2014

History

#1 Updated by Dominic Cleal almost 4 years ago

  • Related to Bug #5881: CVE-2014-3491 - XSS from create/update/destroy notification boxes added

#2 Updated by Dominic Cleal almost 4 years ago

  • Duplicates Bug #6402: Using "run puppet" feature fails: undefined method `gsub' for #<Array ...> added

#3 Updated by Dominic Cleal almost 4 years ago

  • Status changed from New to Duplicate

#6402 fixed this too.

Also available in: Atom PDF